#include "PhysicWindow.h"

void PhysicWindow::DispConst(CPString str1, CPString str2)
{
    OBCD var;
    ExecuteToOBCD(str1, var);
    str2 = str2 + ":\n\n    " + str1 + "\n";
    str2 += "Save constant ?";
    const PEGCHAR* pDisplay = str2.Text();
    const PEGCHAR* pTitle = "Display Constant";
    PegMessageWindow* pWin = new PegMessageWindow(pTitle,NULL,pDisplay,MW_YES|MW_NO|FF_RAISED, 0, NULL, 0, ERROR_WINDOW);
    if(pWin->Execute() == IDB_YES)
    {
        Save(var);
    }
}

void PhysicWindow::DispConv(OBCD d, CPString str1, CPString str2, CPString inc)
{
    OBCD x,convResult;
    CPString input, output, Result, Title;
    Title = str1 + " e " + str2;
    input = str1;
    str1 += " ";
    InputDialog* in = new InputDialog((PEGCHAR*)Title.Text(),(PEGCHAR*)str1.Text(),x);
    if(in->Execute()==IDB_OK)
    {
        OBCD incc;
        ExecuteToOBCD(inc, incc);
        convResult = x*d + incc;
        CPString sx(x);
        CPString sresult(convResult);
        input = input + ": " + sx + "\n\n";
        output = str2 + ": ";
        output = output + sresult;
        output += "\n\nSave result to variable?";
        Result = input + output;
        const PEGCHAR* pMessage = Result.Text();
        const PEGCHAR* pTitle = Title.Text();
        PegMessageWindow* pWin = new PegMessageWindow(pTitle, NULL, pMessage, MW_YES|MW_NO|FF_RAISED, 0, NULL, 0, ERROR_WINDOW);
        if(pWin->Execute() == IDB_YES)
        {
        Save(convResult);
        }
    }    
} 

void PhysicWindow::Save(OBCD x)
{
    if(IMU_MCS_SUCCESS != BMCSCreateVariable((CP_CHAR*)"main", (CP_CHAR*)"z", IMU_MCS_TypeReal, sizeof(OBCD), (UCHAR*)&x))
    {
        PegMessageWindow* pWin = new PegMessageWindow("Error","Cannot store variable",MW_CANCEL|FF_RAISED);
        pWin->Execute();
    }
}

      
           
